
Infrastructure - Bug #2870

Remove Access of Logs from all but Administrators

2012-06-07 16:20 - Robert Waltz

Status: Closed Start date: 2012-06-07

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_log_aggregation Estimated time: 0.00 hour

Target version: Sprint-2012.23-Block.3.4   

Milestone: CCI-1.0.1 Story Points:  

Product Version: *   

Description

Comment out portions of code that grants access to public and authenticated users.

Access will be granted only to Administrators and those in the ServiceMethod description for getLogRecords

From CCI 10/20/2012 AHM

public user access: NO

Subjects that have access to CN.getLogRecords():

authoritative MN associated principle (node client certificate subject)

subjects that have changePermission permission on PID

rights holder for PID

system administrators and report generators

http://epad.dataone.org/20111019-AHM-CCIT , line 471-505

History

#1 - 2012-06-12 20:43 - Robert Waltz

- Milestone changed from CCI-1.0.0 to CCI-1.0.1

#2 - 2012-06-14 20:14 - Robert Waltz

- Status changed from New to In Progress

#3 - 2012-06-19 05:25 - Robert Waltz

- Status changed from In Progress to Closed
